<template lang="pug">
.field( :class='{ "is-expanded": expanded }' )
	label.label( v-if='label' :class='{ "on-border is-small": onBorder }' ) {{ label }}
	.control( :class='{ "is-expanded": expanded }' )
		slot
</template>

<script setup>
const props = defineProps({
	label: {
		type: String,
		default: ""
	},
	onBorder: Boolean,
	expanded: Boolean
})
</script>

<style lang="scss" scoped>
.field {
	position: relative;
}

.label.on-border {
	line-height: .75rem;
	position: absolute;
	top: calc(.75rem / -2);
	left: .5rem;
	z-index: 2;
	background: #fff;
}
</style>